Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.capability
Enum RepositoryFeatureCapability

    java.lang.Object
      java.lang.Enum<RepositoryFeatureCapability>
          com.bea.content.capability.RepositoryFeatureCapability

All Implemented Interfaces
  IFeatureCapabilityType, Serializable, Comparable<RepositoryFeatureCapability>

    public enum RepositoryFeatureCapability

extends Enum<RepositoryFeatureCapability>
implements IFeatureCapabilityType

Feature capabilities which are repository-related

Enum Constant Summary
`RepositoryMultipleUsers` Repository supports connections using multiple user credentials.

Method Summary
`static RepositoryFeatureCapability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RepositoryFeatureCapability[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RepositoryMultipleUsers

    public static final RepositoryFeatureCapability RepositoryMultipleUsers

  Repository supports connections using multiple user credentials. For example, WLP user Foo may connect as repository R user F and WLP user Bar may connect as repository R user B. Both users may be connected simultaneously to repository R.

Method Detail

### values

    public static final RepositoryFeatureCapability[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static RepositoryFeatureCapability valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved